Method: bigQueryExport.provisionPartnerSubscription

Full name: projects.locations.instances.bigQueryExport.provisionPartnerSubscription

Adds subscription for the partner project associated with the customer and created linked dataset in partner's BYOP project. Returns subscription details object as response.

HTTP request

POST https://{endpoint}/v1alpha/{parent}/bigQueryExport:provisionPartnerSubscription

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
parent

string

Required. instance name of the Customer project format: projects/{projectId}/locations/{region}/instances/{instance}

Request body

The request body must be empty.

Response body

Message for response to the provision subscription request. Returns the subscription details.

If successful, the response body contains data with the following structure:

JSON representation
{
  "subscriptionDetails": {
    object (SubscriptionDetails)
  }
}
Fields
subscriptionDetails

object (SubscriptionDetails)

The subscription details for the partner subscription.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.